#!/bin/bash

FOLDER=pp.cms.cse-invent.com
BRANCH_ORIGIN=r7
BRANCH=preprod

echo "Changement de propriétaire des fichiers en cours..."
sudo chown www-data:www-data /var/www -R

echo "Vérification de l'existence du répertoire ${FOLDER}..."
if [ ! -d "/var/www/${FOLDER}" ]; then
  echo "Le répertoire /var/www/${FOLDER} n'existe pas."
  exit 1
fi

echo "Changement de répertoire en cours..."
cd /var/www || { echo "Échec du changement de répertoire."; exit 1; }
cd ${FOLDER} || { echo "Échec du changement de répertoire ${FOLDER}."; exit 1; }

echo "Changement de branche en cours..."
git checkout ${BRANCH} || { echo "Échec du changement de branche."; exit 1; }

echo "Mise à jour de la branche locale en cours..."
git pull origin ${BRANCH_ORIGIN} || { echo "Échec du pull depuis ${BRANCH_ORIGIN}."; exit 1; }

echo "Push des changements en cours..."
git push || { echo "Échec du push."; exit 1; }

echo "-// SUCCESS //-";